com.holonplatform.vaadin.components

## Interface ItemListing.ItemClickListener<T,P>

- Type Parameters:
    `T` - Item type
    `P` - Item property type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    ItemListing<T,P>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface ItemListing.ItemClickListener<T,P>
      extends Serializable

  Listener for user click events on an item (a listing row).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onItemClick(T item, P clickedProperty, int rowIndex, com.vaadin.shared.MouseEventDetails clickEvent)` Triggered when user clicks on an item.
    `default void` | `onItemClick(T item, P clickedProperty, com.vaadin.shared.MouseEventDetails clickEvent)` Deprecated. Use `onItemClick(Object, Object, int, MouseEventDetails)`

- - ### Method Detail

    - #### onItemClick

          void onItemClick(T item,
                           P clickedProperty,
                           int rowIndex,
                           com.vaadin.shared.MouseEventDetails clickEvent)

      Triggered when user clicks on an item.
      Parameters:
        `item` - Item bound to clicked row
        `clickedProperty` - Clicked column property
        `rowIndex` - The clicked row index
        `clickEvent` - Event details to obtain informations on mouse button and clicked point

    - #### onItemClick

          @Deprecated
          default void onItemClick(T item,
                                                P clickedProperty,
                                                com.vaadin.shared.MouseEventDetails clickEvent)

      Deprecated. Use `onItemClick(Object, Object, int, MouseEventDetails)`
      Triggered when user clicks on an item.
      Parameters:
        `item` - Item bound to clicked row
        `clickedProperty` - Clicked column property
        `clickEvent` - Event details to obtain informations on mouse button and clicked point

Copyright © 2019 The Holon Platform. All rights reserved.